Skip to main content
GET
/
v1
/
tenants
/
{tenant_id}
/
grants
List access grants
curl --request GET \
  --url https://tally-platform-api-xwka6vu2kq-ue.a.run.app/v1/tenants/{tenant_id}/grants \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "grant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "grantor_tenant_id": "<string>",
      "grantee_tenant_id": "<string>",
      "subject_id": "<string>",
      "scopes": [],
      "expires_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "revoked_at": "2023-11-07T05:31:56Z"
    }
  ],
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Firebase Auth JWT issued by Google Identity Platform. Obtain a token by signing in at your app domain and calling firebase.auth().currentUser.getIdToken().

Path Parameters

tenant_id
string
required

Tenant identifier.

Query Parameters

limit
integer
default:20

Maximum number of results to return.

Required range: x <= 100
cursor
string

Opaque pagination cursor from a previous response's next_cursor.

Response

Grant list.

items
object[]
next_cursor
string | null